load('./bbyInp.mat','bbyInpUntreatedTotal','bbyInpHeatedTotal')
load('./czcInp.mat','czcInpUntreatedTotal','czcInpHeatedTotal')

%who

bbyEpochIdx =  [7 8 9 10 11 12 13 14 15];
bbyCmapIdx =   [1 2 2 3  3  3  4  4  4];

%czcEpochIdx = [12 13 14 15 16 17 18 19 20 21 22 23];
%czcCmapIdx =  [1  1  1  1  2  2  2  3  3  3  4  4];

czcEpochIdx = [12 13 14 15 16 17 18 19 20  22 23];
czcCmapIdx =  [1  1  1  1  2  2  2  3  3   4  4];

%czcEpochIdx = [12 13 14 15 16 17 18 22 23];
%czcCmapIdx =  [1  1  1  1  2  2  2  4  4];

cmap = [0.25 1 0.25; 1 0.75 0.25; 1 0 0; 144/256 57/256 230/256];

%% 

f = figure('Units','Normalized','Position',[0.1 0.15 0.7 0.7]);
bbyNegDiffCount = 0;
bbyTotDiffCount = 0;
czcNegDiffCount = 0;
czcTotDiffCount = 0;

%%=================================================================================>
%% -- Panel a): BBY Unheated
%%=================================================================================>
ax1 = axes('Parent',f,'units','normalized','Position',[0.125 0.575 0.3 0.375]);
i = 1;
currentInd = bbyEpochIdx(i);
idx = find(bbyInpUntreatedTotal{currentInd}(:,2) ~= 0);
sc1{i} = scatter(bbyInpUntreatedTotal{currentInd}(idx,1),bbyInpUntreatedTotal{currentInd}(idx,2),48,'s','LineWidth',2);
sc1{i}.CData = cmap(bbyCmapIdx(i),:);
%     eb1{i} = errorbar(bbyInpUntreatedTotal{currentInd}(idx,1),bbyInpUntreatedTotal{currentInd}(idx,2),...
%         bbyInpUntreatedTotal{currentInd}(idx,3),bbyInpUntreatedTotal{currentInd}(idx,4),'LineWidth',1,'LineStyle','none');
%     eb1{i}.Color = sc1{i}.CData;
ax1.NextPlot = 'add';
ax1.XLim = [-25 -5];
ax1.FontName = 'Arial';
ax1.FontSize = 12;
xlabel(sprintf('Temperature (%sC)',char(0176)));
ylabel('INP (mL^{-1})')
ax1.YScale = 'log';
ax1.YLim = [0.1 100];
for i = 2:length(bbyEpochIdx)
    currentInd = bbyEpochIdx(i);
    idx = find(bbyInpUntreatedTotal{currentInd}(:,2) ~= 0);
    sc1{i} = scatter(bbyInpUntreatedTotal{currentInd}(idx,1),bbyInpUntreatedTotal{currentInd}(idx,2),48,'s','LineWidth',2);
    sc1{i}.CData = cmap(bbyCmapIdx(i),:);
%     eb1{i} = errorbar(bbyInpUntreatedTotal{currentInd}(idx,1),bbyInpUntreatedTotal{currentInd}(idx,2),...
%         bbyInpUntreatedTotal{currentInd}(idx,3),bbyInpUntreatedTotal{currentInd}(idx,4),'LineWidth',1,'LineStyle','none','CapSize',0);
     eb1{i} = errorbar(bbyInpUntreatedTotal{currentInd}(idx,1),bbyInpUntreatedTotal{currentInd}(idx,2),...
         bbyInpUntreatedTotal{currentInd}(idx,3),bbyInpUntreatedTotal{currentInd}(idx,4),'LineWidth',1,'LineStyle','none');
     eb1{i}.Color = sc1{i}.CData;
end

l1 = line([-10 -10],[0.1 100]);
l1.Color = [0 0 0];
l1.LineStyle = '--';
l1.LineWidth = 2;

text1 = text(0.8,0.9,'a) ');
text1.Units = 'normalized';
text1.Position(1:2) = [0.05 0.95];
text1.FontName = 'Calibri';
text1.FontSize = 12;

[lgnd1] = legend('Early AR','Barrier Jet','Peak AR','Post CF');
lgnd1.Box = 'off';
lgnd1.Position(1:2) = [0.85 0.475];
lgnd1.FontName = 'Arial';
lgnd1.FontSize = 13;

%%=================================================================================>
%% -- Panel b): BBY Diff
%%=================================================================================>
ax1 = axes('Parent',f,'units','normalized','Position',[0.525 0.575 0.3 0.375]);
i = 1;
%% Find bby difference spectra..
currentInd = bbyEpochIdx(i);
bbyInpHeatedSort = sortrows(bbyInpHeatedTotal{currentInd},-1);

nonzerorows=find(bbyInpHeatedSort(:,2) ~= 0);
 for inonz = 1:length(nonzerorows)-1
  bbyInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,2) = bbyInpHeatedSort(nonzerorows(inonz),2);
  bbyInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,3) = bbyInpHeatedSort(nonzerorows(inonz),3);
  bbyInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,4) = bbyInpHeatedSort(nonzerorows(inonz),4);
 end 
  bbyInpHeatedSort(nonzerorows(end)+1:end,2) = bbyInpHeatedSort(nonzerorows(end),2);
  bbyInpHeatedSort(nonzerorows(end)+1:end,3) = bbyInpHeatedSort(nonzerorows(end),3);
  bbyInpHeatedSort(nonzerorows(end)+1:end,4) = bbyInpHeatedSort(nonzerorows(end),4);

untreatidx = find(bbyInpUntreatedTotal{currentInd}(:,2) ~= 0);
unTreatTemps = bbyInpUntreatedTotal{currentInd}(untreatidx,:);
[heatidx,ih,iu] = intersect(bbyInpHeatedSort(:,1),unTreatTemps(:,1));
bbyInpDiff = [ ];
bbyInpDiff(:,1) = bbyInpHeatedSort(ih,1);
bbyInpDiff(:,2) = (unTreatTemps(:,2) - bbyInpHeatedSort(ih,2))./unTreatTemps(:,2);
%bbyInpDiff(:,2) = (unTreatTemps(:,2) - bbyInpHeatedSort(ih,2));
bbyNegDiffCount = bbyNegDiffCount + sum(bbyInpDiff(:,2) < 0. );
bbyTotDiffCount = bbyTotDiffCount + numel(bbyInpDiff(:,2));
bbyInpDiff(:,3) = max(unTreatTemps(:,3),bbyInpHeatedSort(ih,3));
bbyInpDiff(:,4) = max(unTreatTemps(:,4),bbyInpHeatedSort(ih,4));
clear bbyInpHeatedSort nonzerorows untreatidx unTreatTemps heatidx ih iu 
%% Done. Now Plot
sc1{i} = scatter(bbyInpDiff(:,1),bbyInpDiff(:,2),48,'s','LineWidth',2);
sc1{i}.CData = cmap(bbyCmapIdx(i),:);
ax1.NextPlot = 'add';
ax1.XLim = [-25 -5];
ax1.FontName = 'Arial';
ax1.FontSize = 12;
xlabel(sprintf('Temperature (%sC)',char(0176)));
ylabel('\DeltaINP/INP ');
%ylabel('dINP (mL^{-1})');
ax1.YScale = 'linear';
ax1.YLim = [-1.0 1.0];
%ax1.YScale = 'log';
%ax1.YLim = [0.1 100.0];
clear bbyInpDiff
for i = 2:length(bbyEpochIdx)
    currentInd = bbyEpochIdx(i);
    bbyInpHeatedSort = sortrows(bbyInpHeatedTotal{currentInd},-1);

    nonzerorows=find(bbyInpHeatedSort(:,2) ~= 0);
    for inonz = 1:length(nonzerorows)-1
     bbyInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,2) = bbyInpHeatedSort(nonzerorows(inonz),2);
     bbyInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,3) = bbyInpHeatedSort(nonzerorows(inonz),3);
     bbyInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,4) = bbyInpHeatedSort(nonzerorows(inonz),4);
    end 
    bbyInpHeatedSort(nonzerorows(end)+1:end,2) = bbyInpHeatedSort(nonzerorows(end),2);
    bbyInpHeatedSort(nonzerorows(end)+1:end,3) = bbyInpHeatedSort(nonzerorows(end),3);
    bbyInpHeatedSort(nonzerorows(end)+1:end,4) = bbyInpHeatedSort(nonzerorows(end),4);

    untreatidx = find(bbyInpUntreatedTotal{currentInd}(:,2) ~= 0);
    unTreatTemps = bbyInpUntreatedTotal{currentInd}(untreatidx,:);
    [heatidx,ih,iu] = intersect(bbyInpHeatedSort(:,1),unTreatTemps(:,1));
    bbyInpDiff = [ ];
    bbyInpDiff(:,1) = bbyInpHeatedSort(ih,1);
    bbyInpDiff(:,2) = (unTreatTemps(:,2) - bbyInpHeatedSort(ih,2))./unTreatTemps(:,2);
    %bbyInpDiff(:,2) = (unTreatTemps(:,2) - bbyInpHeatedSort(ih,2));
    bbyNegDiffCount = bbyNegDiffCount + sum(bbyInpDiff(:,2) < 0. );
    bbyTotDiffCount = bbyTotDiffCount + numel(bbyInpDiff(:,2));
    bbyInpDiff(:,3) = max(unTreatTemps(:,3),bbyInpHeatedSort(ih,3));
    bbyInpDiff(:,4) = max(unTreatTemps(:,4),bbyInpHeatedSort(ih,4));
    sc1{i} = scatter(bbyInpDiff(:,1),bbyInpDiff(:,2),48,'s','LineWidth',2);
    sc1{i}.CData = cmap(bbyCmapIdx(i),:);
end    

l1 = line([-10 -10],[-1.0 1.0]);
%l1 = line([-10 -10],[0.1 100.0]);
l1.Color = [0 0 0];
l1.LineStyle = '--';
l1.LineWidth = 2;

text1 = text(0.8,0.9,'b) ');
%text1 = text(0.8,0.9,'d) BBYdiff');
text1.Units = 'normalized';
text1.Position(1:2) = [0.05 0.95];
text1.FontName = 'Calibri';
text1.FontSize = 12;

%%=================================================================================>
%% -- Panel c): CZC Unheated
%%=================================================================================>
ax2 = axes('Parent',f,'units','normalized','Position',[0.125 0.1 0.3 0.375]);
i = 1;
currentInd = czcEpochIdx(i);
idx = find(czcInpUntreatedTotal{currentInd}(:,2) ~= 0);
sc1{i} = scatter(czcInpUntreatedTotal{currentInd}(idx,1),czcInpUntreatedTotal{currentInd}(idx,2),48,'s','LineWidth',2);
sc1{i}.CData = cmap(czcCmapIdx(i),:);
%     eb1{i} = errorbar(czcInpUntreatedTotal{currentInd}(idx,1),czcInpUntreatedTotal{currentInd}(idx,2),...
%         czcInpUntreatedTotal{currentInd}(idx,3),czcInpUntreatedTotal{currentInd}(idx,4),'LineWidth',1,'LineStyle','none');
%     eb1{i}.Color = sc1{i}.CData;
ax2.NextPlot = 'add';
ax2.XLim = [-25 -5];
ax2.FontName = 'Arial';
ax2.FontSize = 12;
xlabel(sprintf('Temperature (%sC)',char(0176)));
ylabel('INP (mL^{-1})')
ax2.YScale = 'log';
ax2.YLim = [0.1 100];
for i = 2:length(czcEpochIdx)
    currentInd = czcEpochIdx(i);
    idx = find(czcInpUntreatedTotal{currentInd}(:,2) ~= 0);
    sc1{i} = scatter(czcInpUntreatedTotal{currentInd}(idx,1),czcInpUntreatedTotal{currentInd}(idx,2),48,'s','LineWidth',2);
    sc1{i}.CData = cmap(czcCmapIdx(i),:);
      eb1{i} = errorbar(czcInpUntreatedTotal{currentInd}(idx,1),czcInpUntreatedTotal{currentInd}(idx,2),...
         czcInpUntreatedTotal{currentInd}(idx,3),czcInpUntreatedTotal{currentInd}(idx,4),'LineWidth',1,'LineStyle','none');
      eb1{i}.Color = sc1{i}.CData;
end

l1 = line([-10 -10],[0.1 100]);
l1.Color = [0 0 0];
l1.LineStyle = '--';
l1.LineWidth = 2;
ax1.Box = 'off';
ax2.Box = 'off';

text1 = text(0.8,0.9,'c) ');
text1.Units = 'normalized';
text1.Position(1:2) = [0.05 0.95];
text1.FontName = 'Calibri';
text1.FontSize = 12;


%%=================================================================================>
%% -- Panel d): CZC Diff
%%=================================================================================>
ax2 = axes('Parent',f,'units','normalized','Position',[0.525 0.1 0.3 0.375]);
i = 1;
%% Find czc difference spectra..
currentInd = czcEpochIdx(i);
czcInpHeatedSort = sortrows(czcInpHeatedTotal{currentInd},-1);

nonzerorows=find(czcInpHeatedSort(:,2) ~= 0);
 for inonz = 1:length(nonzerorows)-1
  czcInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,2) = czcInpHeatedSort(nonzerorows(inonz),2);
  czcInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,3) = czcInpHeatedSort(nonzerorows(inonz),3);
  czcInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,4) = czcInpHeatedSort(nonzerorows(inonz),4);
 end 
  czcInpHeatedSort(nonzerorows(end)+1:end,2) = czcInpHeatedSort(nonzerorows(end),2);
  czcInpHeatedSort(nonzerorows(end)+1:end,3) = czcInpHeatedSort(nonzerorows(end),3);
  czcInpHeatedSort(nonzerorows(end)+1:end,4) = czcInpHeatedSort(nonzerorows(end),4);

untreatidx = find(czcInpUntreatedTotal{currentInd}(:,2) ~= 0);
unTreatTemps = czcInpUntreatedTotal{currentInd}(untreatidx,:);
[heatidx,ih,iu] = intersect(czcInpHeatedSort(:,1),unTreatTemps(:,1));
czcInpDiff = [ ];
czcInpDiff(:,1) = czcInpHeatedSort(ih,1);
czcInpDiff(:,2) = (unTreatTemps(:,2) - czcInpHeatedSort(ih,2))./unTreatTemps(:,2);
%czcInpDiff(:,2) = (unTreatTemps(:,2) - czcInpHeatedSort(ih,2));
czcNegDiffCount = czcNegDiffCount + sum(czcInpDiff(:,2) < 0. );
czcTotDiffCount = czcTotDiffCount + numel(czcInpDiff(:,2));
czcInpDiff(:,3) = max(unTreatTemps(:,3),czcInpHeatedSort(ih,3));
czcInpDiff(:,4) = max(unTreatTemps(:,4),czcInpHeatedSort(ih,4));
clear czcInpHeatedSort nonzerorows untreatidx unTreatTemps heatidx ih iu 
%% Done. Now Plot
sc1{i} = scatter(czcInpDiff(:,1),czcInpDiff(:,2),48,'s','LineWidth',2);
sc1{i}.CData = cmap(czcCmapIdx(i),:);
ax2.NextPlot = 'add';
ax2.XLim = [-25 -5];
ax2.FontName = 'Arial';
ax2.FontSize = 12;
xlabel(sprintf('Temperature (%sC)',char(0176)));
ylabel('\DeltaINP/INP ');
%ylabel('dINP (mL^{-1})');
ax2.YScale = 'linear';
ax2.YLim = [-1.0 1.0];
%ax2.YScale = 'log';
%ax2.YLim = [0.1 100.0];
clear czcInpDiff
for i = 2:length(czcEpochIdx)
    currentInd = czcEpochIdx(i);
    czcInpHeatedSort = sortrows(czcInpHeatedTotal{currentInd},-1);

    nonzerorows=find(czcInpHeatedSort(:,2) ~= 0);
    for inonz = 1:length(nonzerorows)-1
     czcInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,2) = czcInpHeatedSort(nonzerorows(inonz),2);
     czcInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,3) = czcInpHeatedSort(nonzerorows(inonz),3);
     czcInpHeatedSort(nonzerorows(inonz)+1:nonzerorows(inonz+1)-1,4) = czcInpHeatedSort(nonzerorows(inonz),4);
    end 
    czcInpHeatedSort(nonzerorows(end)+1:end,2) = czcInpHeatedSort(nonzerorows(end),2);
    czcInpHeatedSort(nonzerorows(end)+1:end,3) = czcInpHeatedSort(nonzerorows(end),3);
    czcInpHeatedSort(nonzerorows(end)+1:end,4) = czcInpHeatedSort(nonzerorows(end),4);

    untreatidx = find(czcInpUntreatedTotal{currentInd}(:,2) ~= 0);
    unTreatTemps = czcInpUntreatedTotal{currentInd}(untreatidx,:);
    [heatidx,ih,iu] = intersect(czcInpHeatedSort(:,1),unTreatTemps(:,1));
    czcInpDiff = [ ];
    czcInpDiff(:,1) = czcInpHeatedSort(ih,1);
    czcInpDiff(:,2) = (unTreatTemps(:,2) - czcInpHeatedSort(ih,2))./unTreatTemps(:,2);
    %czcInpDiff(:,2) = (unTreatTemps(:,2) - czcInpHeatedSort(ih,2));
    czcNegDiffCount = czcNegDiffCount + sum(czcInpDiff(:,2) < 0. );
    czcTotDiffCount = czcTotDiffCount + numel(czcInpDiff(:,2));
    czcInpDiff(:,3) = max(unTreatTemps(:,3),czcInpHeatedSort(ih,3));
    czcInpDiff(:,4) = max(unTreatTemps(:,4),czcInpHeatedSort(ih,4));
    sc1{i} = scatter(czcInpDiff(:,1),czcInpDiff(:,2),48,'s','LineWidth',2);
    sc1{i}.CData = cmap(czcCmapIdx(i),:);
end    

l1 = line([-10 -10],[-1.0 1.0]);
%l1 = line([-10 -10],[0.1 100.0]);
l1.Color = [0 0 0];
l1.LineStyle = '--';
l1.LineWidth = 2;
ax1.Box = 'off';
ax2.Box = 'off';
text1 = text(0.8,0.9,'d) ');
%text1 = text(0.8,0.9,'d) CZCdiff');
text1.Units = 'normalized';
text1.Position(1:2) = [0.05 0.95];
text1.FontName = 'Calibri';
text1.FontSize = 12;

bbyNegDiffCount
bbyNegFrac = bbyNegDiffCount./bbyTotDiffCount
czcNegDiffCount
czcNegFrac = czcNegDiffCount./czcTotDiffCount

% 
%f.PaperPositionMode = 'auto';
%print(f,'./figure6_testplot','-dpng','-r100');
f.PaperPositionMode = 'auto';
print(f,'./figure6_wdifs_draft','-dpng','-r300');
